[arch-commits] Commit in ogle/repos (3 files)

Jan de Groot jgc at archlinux.org
Thu May 21 14:53:45 UTC 2009


    Date: Thursday, May 21, 2009 @ 10:53:44
  Author: jgc
Revision: 39838

Merged revisions 356,39768 via svnmerge from 
svn+ssh://svn.archlinux.org/srv/svn-packages/ogle/trunk

........
  r356 | aaron | 2008-04-19 00:56:27 +0200 (Sat, 19 Apr 2008) | 1 line
  
  Added svn:keywords to all PKGBUILDs
........
  r39768 | jgc | 2009-05-21 13:42:58 +0200 (Thu, 21 May 2009) | 2 lines
  
  upgpkg: ogle 0.9.2-10
      Build with new dvdread, fix manpath
........

Added:
  ogle/repos/extra-i686/dvdread-4.1.3.patch
    (from rev 39768, ogle/trunk/dvdread-4.1.3.patch)
Modified:
  ogle/repos/extra-i686/	(properties)
  ogle/repos/extra-i686/PKGBUILD

---------------------+
 PKGBUILD            |   31 +++++++-----
 dvdread-4.1.3.patch |  129 ++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 148 insertions(+), 12 deletions(-)


Property changes on: ogle/repos/extra-i686
___________________________________________________________________
Modified: svnmerge-integrated
   - /ogle/trunk:1
   + /ogle/trunk:1-39837

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2009-05-21 14:52:06 UTC (rev 39837)
+++ extra-i686/PKGBUILD	2009-05-21 14:53:44 UTC (rev 39838)
@@ -4,29 +4,36 @@
 
 pkgname=ogle
 pkgver=0.9.2
-pkgrel=9
+pkgrel=10
 pkgdesc="A simple DVD player for Linux"
 arch=('i686' 'x86_64')
 url="http://www.dtek.chalmers.se/groups/dvd/"
 license=('GPL')
-depends=('libxml2' 'libdvdread' 'libjpeg' 'libmad' 'libxinerama' 'libxv'
+depends=('libxml2' 'libdvdread>=4.1.3' 'libjpeg' 'libmad' 'libxinerama' 'libxv'
          'alsa-lib' 'a52dec' 'libsm' 'libxxf86vm')
 options=('!libtool')
-source=(http://www.dtek.chalmers.se/groups/dvd/dist/$pkgname-$pkgver.tar.gz
-        xvideofix.patch gcc34alsafix.patch gcc4.patch)
-md5sums=('a76a9892bdb807a4bcf859d15a91f0f9' '57f1cf36eed82c56f24e9c0fc25ce2b3'\
-         '4ebc822b252fade6b53c5ceb5be45bf5' 'd08cff87c5ec41a7eebc0d2384835688')
+source=(http://www.dtek.chalmers.se/groups/dvd/dist/${pkgname}-${pkgver}.tar.gz
+        xvideofix.patch
+	gcc34alsafix.patch
+	gcc4.patch
+	dvdread-4.1.3.patch)
+md5sums=('a76a9892bdb807a4bcf859d15a91f0f9'
+         '57f1cf36eed82c56f24e9c0fc25ce2b3'
+         '4ebc822b252fade6b53c5ceb5be45bf5'
+         'd08cff87c5ec41a7eebc0d2384835688'
+         '597906c64ff7f5185de8430fdae3107d')
 
 build() {
-  cd $startdir/src/$pkgname-$pkgver
+  cd "${srcdir}/${pkgname}-${pkgver}"
+  patch -Np0 -i "${srcdir}/dvdread-4.1.3.patch" || return 1
   patch -Np1 -i ../xvideofix.patch || return 1
   patch -Np1 -i ../gcc34alsafix.patch || return 1
   patch -Np1 -i ../gcc4.patch || return 1
    # fix alsa detection - stolen from their cvs
-  sed -i 's|^.*MINOR\=\=5.*$|#if SND_LIB_MAJOR==0 && SND_LIB_MINOR<6|' configure
-  sed -i 's|__diga_end:|\0;|' libogleao/alsa_audio.c
-  ./configure --prefix=/usr --sysconfdir=/etc --with-x
+  sed -i 's|^.*MINOR\=\=5.*$|#if SND_LIB_MAJOR==0 && SND_LIB_MINOR<6|' configure || return 1
+  sed -i 's|__diga_end:|\0;|' libogleao/alsa_audio.c || return 1
+  ./configure --prefix=/usr --sysconfdir=/etc --mandir=/usr/share/man --with-x || return 1
   make || return 1
-  export LIBRARY_PATH=$startdir/pkg/usr/lib/ogle
-  make prefix=$startdir/pkg/usr install
+  export LIBRARY_PATH="${pkgdir}/usr/lib/ogle"
+  make DESTDIR="${pkgdir}" install || return 1
 }

Copied: ogle/repos/extra-i686/dvdread-4.1.3.patch (from rev 39768, ogle/trunk/dvdread-4.1.3.patch)
===================================================================
--- extra-i686/dvdread-4.1.3.patch	                        (rev 0)
+++ extra-i686/dvdread-4.1.3.patch	2009-05-21 14:53:44 UTC (rev 39838)
@@ -0,0 +1,129 @@
+$NetBSD: patch-ad,v 1.1 2009/01/27 02:06:49 jmcneill Exp $
+
+--- vmg/ifo_dump.c.orig	2009-01-26 21:00:17.000000000 -0500
++++ vmg/ifo_dump.c	2009-01-26 21:00:33.000000000 -0500
+@@ -65,38 +65,38 @@ static void print_ifo(char *path, int ti
+   if(h->vmgi_mat != NULL) {
+     
+     printf("VMG top level\n-------------\n");
+-    ifoPrint_VMGI_MAT(h->vmgi_mat);
++    ifo_print_VMGI_MAT(h->vmgi_mat);
+       
+     printf("\nFirst Play PGC\n--------------\n");
+-    ifoPrint_PGC(h->first_play_pgc);
++    ifo_print_PGC(h->first_play_pgc);
+       
+     printf("\nTitle Track search pointer table\n");
+     printf(  "------------------------------------------------\n");
+-    ifoPrint_TT_SRPT(h->tt_srpt);
++    ifo_print_TT_SRPT(h->tt_srpt);
+       
+     printf("\nMenu PGCI Unit table\n");
+     printf(  "--------------------\n");
+     if(h->vmgi_mat->vmgm_pgci_ut != 0) {
+-      ifoPrint_PGCI_UT(h->pgci_ut);
++      ifo_print_PGCI_UT(h->pgci_ut);
+     } else 
+       printf("No Menu PGCI Unit table present\n");
+       
+     printf("\nParental Manegment Information table\n");
+     printf(  "------------------------------------\n");
+     if(h->vmgi_mat->ptl_mait != 0) {
+-      ifoPrint_PTL_MAIT(h->ptl_mait);
++      ifo_print_PTL_MAIT(h->ptl_mait);
+     } else
+       printf("No Parental Management Information present\n");
+       
+     printf("\nVideo Title Set Attribute Table\n");
+     printf(  "-------------------------------\n");
+-    ifoPrint_VTS_ATRT(h->vts_atrt);
++    ifo_print_VTS_ATRT(h->vts_atrt);
+ 
+       
+     printf("\nText Data Manager Information\n");
+     printf(  "-----------------------------\n");
+     if(h->vmgi_mat->txtdt_mgi != 0) {
+-      //ifoPrint_TXTDT_MGI(h->txtdt_mgi);
++      //ifo_print_TXTDT_MGI(h->txtdt_mgi);
+       printf("Can't print Text Data Manager Information yet\n");
+     } else
+       printf("No Text Data Manager Information present\n");
+@@ -106,14 +106,14 @@ static void print_ifo(char *path, int ti
+       printf("\nCell Address table\n");
+       printf(  "-----------------\n");
+       if(h->vmgi_mat->vmgm_c_adt != 0) {
+-	ifoPrint_C_ADT(h->menu_c_adt);
++	ifo_print_C_ADT(h->menu_c_adt);
+       } else
+ 	printf("No Cell Address table present\n");
+       
+       printf("\nVideo Title set Menu VOBU address map\n");
+       printf(  "-----------------\n");
+       if(h->vmgi_mat->vmgm_vobu_admap != 0) {
+-	ifoPrint_VOBU_ADMAP(h->menu_vobu_admap);
++	ifo_print_VOBU_ADMAP(h->menu_vobu_admap);
+       } else
+ 	printf("No Menu VOBU address map present\n");
+     }
+@@ -122,20 +122,20 @@ static void print_ifo(char *path, int ti
+   if(h->vtsi_mat != NULL) {
+       
+     printf("VTS top level\n-------------\n");
+-    ifoPrint_VTSI_MAT(h->vtsi_mat);
++    ifo_print_VTSI_MAT(h->vtsi_mat);
+       
+     printf("\nPart of title search pointer table information\n");
+     printf(  "----------------------------------------------\n");
+-    ifoPrint_VTS_PTT_SRPT(h->vts_ptt_srpt);
++    ifo_print_VTS_PTT_SRPT(h->vts_ptt_srpt);
+        
+     printf("\nPGCI Unit table\n");
+     printf(  "--------------------\n");
+-    ifoPrint_PGCIT(h->vts_pgcit);
++    ifo_print_PGCIT(h->vts_pgcit);
+       
+     printf("\nMenu PGCI Unit table\n");
+     printf(  "--------------------\n");
+     if(h->vtsi_mat->vtsm_pgci_ut != 0) {
+-      ifoPrint_PGCI_UT(h->pgci_ut);
++      ifo_print_PGCI_UT(h->pgci_ut);
+     } else
+       printf("No Menu PGCI Unit table present\n");
+       
+@@ -144,31 +144,31 @@ static void print_ifo(char *path, int ti
+       printf("\nTime Map table\n");
+       printf(  "-----------------\n");
+       if(h->vtsi_mat->vts_tmapt != 0) {
+-	ifoPrint_VTS_TMAPT(h->vts_tmapt);
++	ifo_print_VTS_TMAPT(h->vts_tmapt);
+       } else
+ 	printf("No Time Map table present\n");
+       
+       printf("\nMenu Cell Address table\n");
+       printf(  "-----------------\n");
+       if(h->vtsi_mat->vtsm_c_adt != 0) {
+-	ifoPrint_C_ADT(h->menu_c_adt);
++	ifo_print_C_ADT(h->menu_c_adt);
+       } else
+ 	printf("No Cell Address table present\n");
+       
+       printf("\nVideo Title Set Menu VOBU address map\n");
+       printf(  "-----------------\n");
+       if(h->vtsi_mat->vtsm_vobu_admap != 0) {
+-	ifoPrint_VOBU_ADMAP(h->menu_vobu_admap);
++	ifo_print_VOBU_ADMAP(h->menu_vobu_admap);
+       } else
+ 	printf("No Menu VOBU address map present\n");
+       
+       printf("\nCell Address table\n");
+       printf(  "-----------------\n");
+-      ifoPrint_C_ADT(h->vts_c_adt);
++      ifo_print_C_ADT(h->vts_c_adt);
+       
+       printf("\nVideo Title Set VOBU address map\n");
+       printf(  "-----------------\n");
+-      ifoPrint_VOBU_ADMAP(h->vts_vobu_admap);
++      ifo_print_VOBU_ADMAP(h->vts_vobu_admap);
+       
+     }
+   }




More information about the arch-commits mailing list